Cognos Executive Viewer 10.1 Software Environments

Product documentation


Abstract

This document provides links the Software Product Compatibility Reports for your product. These reports provide the up-to-date information about the supported environments and minimum requirements.

Content

Tab navigation

Executive Viewer Server
Supported OLAP Servers
IBM Cognos TM1, version 9.1 to 10.1
Oracle Hyperion Essbase version 4.01 to 11.1.1.2, and 11.1.2
Microsoft® SQL Server™ 2000 Analysis Services (MSAS)
Microsoft SQL Server™ 2005 Analysis Services (SSAS)
Microsoft SQL Server™ 2008 Analysis Services (SSAS), R2
for all versions the latest service pack and all current updates should be installed.
Prerequisites
Microsoft SQL Server™ 2000 service pack 4 or
Microsoft SQL Server™ 2005 service pack 3 or
Microsoft SQL Server™ 2008, or
Microsoft SQL Server™ 2008 R2,
in case SQL Server is set to be the Catalog Provider or the Log Provider.
MySQL, version 5, in case MySQL is set to be the Catalog Provider or the Log Provider. This also requires the MySQL .NET Connector to be installed
IBM DB2 Universal Database, version 8 in case DB2 is set to be the Catalog Provider or the Log Provider. This also requires DB2.NET Data Provider, version 8.1.11.2 to be installed.
Oracle client 8.1.7, in case Oracle is set to be the Catalog Provider or the Log Provider.
Informix Dynamic Server 11.50, in case Informix is set to be the Catalog Provider or the Log Provider.
IBM Cognos 8.4 or 10, in case IBM Cognos 8 Security is set to be the Security Provider.
IBM Cognos TM1, version between 9.1 and 9.5.2, in case TM1 is set to be the Security Provider.
Oracle Hyperion Essbase version between 4.01 to 11.1.1.2 or 11.1.2, in case Essbase is set to be the Security Provider.
Microsoft Internet Information Services (IIS) version between 5.0 and 7.0
Microsoft .NET Framework between 2.0 and 4.0
Supported Operating Systems
Microsoft Windows XP Professional
Microsoft Windows XP Professional x64
Microsoft Windows Server 2003 R2 (Enterprise Edition, Standard Edition)
Microsoft Windows Server 2003 R2 (Enterprise Edition, Standard Edition) x64
Microsoft Windows Server 2008 R2 (Enterprise Edition, Standard Edition)
Microsoft Windows Server 2008 R2 (Enterprise Edition, Standard Edition) x64
Microsoft Windows Vista™ Business or Ultimate
Microsoft Windows Vista™ Business x64 Edition
Microsoft Windows 7 Professional
Microsoft Windows 7 Professional x64
For all Windows versions the latest service pack and all current updates should be installed.
System Requirements
Disk space: Approximately 100MB
Memory: Starting from 1024MB
Processor: Pentium 4 or higher
This server must be available to any client that might be using Executive Viewer Client or Executive Viewer Explorer. The server does not need to be on the same machine as the machine running the OLAP Server.
Additional Requirements
For storage of Views and other Items in the Repository additional disk space is needed.
Oracle Hyperion Essbase Runtime Client needs to be installed for connecting to Oracle Hyperion Essbase Server.
Microsoft PivotTable Service (including the Microsoft Data Access Components (MDAC)) and Decision Supporting Objects (DSO) need to be installed for connecting with Microsoft Analysis Services 2000 (MSAS).
The Connectivity Components of Microsoft SQL Server Analysis Services need to be installed for connecting to Microsoft SQL Server Analysis Services (SSAS).
The TM1 OLE DB Provider needs to be installed for connecting to IBM Cognos TM1.
Memory requirements depend on the number of users, usage, the size of the database models, the use of Personalized Databases, Interpret and Preload roles.


Executive Viewer Explorer
Prerequisites
Microsoft .NET Framework between 2.0 and 4.0
Microsoft Internet Explorer 6.0 service pack 2 or
Microsoft Internet Explorer between 7.0 and 9.0
Microsoft Internet Information Services (IIS) version between 5.0 and 7.0
ASP.NET must be registered in IIS. This is done during the installation routine.
Supported Operating Systems
Microsoft Windows XP Professional
Microsoft Windows XP Professional x64
Microsoft Windows Server 2003 R2 (Enterprise Edition, Standard Edition)
Microsoft Windows Server 2003 R2 (Enterprise Edition, Standard Edition) x64
Microsoft Windows Server 2008 R2 (Enterprise Edition, Standard Edition)
Microsoft Windows Server 2008 R2 (Enterprise Edition, Standard Edition) x64
Microsoft Windows Vista™ Business or Ultimate
Microsoft Windows Vista™ Business x64 Edition
Microsoft Windows 7 Professional
Microsoft Windows 7 Professional x64
For all Windows versions the latest service pack and all current updates should be installed.
System Requirements
Disk space: Approximately 50MB
Memory: Starting from 512MB
Processor: Pentium 4 or higher
Supported Internet Browsers
Microsoft Internet Explorer 6.0 service pack 2
Microsoft Internet Explorer 7.0 to 9.0
Executive Viewer Desktop Explorer
Prerequisites
Microsoft .NET Framework between 2.0 and 4.0.
Supported Operating Systems
Microsoft Windows XP Professional
Microsoft Windows XP Professional x64
Microsoft Windows Server 2003 R2 (Enterprise Edition, Standard Edition)
Microsoft Windows Server 2003 R2 (Enterprise Edition, Standard Edition) x64
Microsoft Windows Server 2008 R2 (Enterprise Edition, Standard Edition)
Microsoft Windows Server 2008 R2 (Enterprise Edition, Standard Edition) x64
Microsoft Windows Vista™ Business or Ultimate
Microsoft Windows Vista™ Business x64 Edition
Microsoft Windows 7 Professional
Microsoft Windows 7 Professional x64
For all Windows versions the latest service pack and all current updates should be installed.
System Requirements
Disk space: Approximately 50MB
Memory: Starting from 512MB
Processor: Pentium 4 or higher
Additional Requirements
Microsoft Internet Explorer version between 6.0 and 9.0 32-bit should be installed on a 64-bit Operating System to be able to open Views.

Executive Viewer Portlets
Prerequisites
IBM Cognos 10.1 or 10.1.1
Executive Viewer Server with the IBM Cognos Security Provider configured
Note: When opening a View Item in Executive Viewer Portlet, Executive Viewer Client attempts to install automatically.
Note: The Executive Viewer Portlets are only available as a 32-bit version. The 32-bit version can be used on a 64-bit machine when using a 32-bit version of Microsoft Internet Explorer.

Related information

Downloading IBM Cognos Executive Viewer 10.1
IBM Cognos Executive Viewer 10.1 Fix List

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Cognos Executive Viewer

Software version:

10.1

Operating system(s):

Windows

Reference #:

7023403

Modified date:

2013-10-15

Translate my page

Machine Translation

Content navigation